package domain


type AlibabaTclsAelophyRefundCsapplyrenderRefundCsApplyRenderDto struct {
    /*
        渠道订单ID     */
    OutOrderId  *string `json:"out_order_id,omitempty" `

    /*
        商家经营店ID     */
    StoreId  *string `json:"store_id,omitempty" `

    /*
        申请退款的子订单ID列表     */
    OutSubOrderIds  *[]string `json:"out_sub_order_ids,omitempty" `

    /*
        渠道来源     */
    OrderFrom  *int64 `json:"order_from,omitempty" `

}

func (s *AlibabaTclsAelophyRefundCsapplyrenderRefundCsApplyRenderDto) SetOutOrderId(v string) *AlibabaTclsAelophyRefundCsapplyrenderRefundCsApplyRenderDto {
    s.OutOrderId = &v
    return s
}
func (s *AlibabaTclsAelophyRefundCsapplyrenderRefundCsApplyRenderDto) SetStoreId(v string) *AlibabaTclsAelophyRefundCsapplyrenderRefundCsApplyRenderDto {
    s.StoreId = &v
    return s
}
func (s *AlibabaTclsAelophyRefundCsapplyrenderRefundCsApplyRenderDto) SetOutSubOrderIds(v []string) *AlibabaTclsAelophyRefundCsapplyrenderRefundCsApplyRenderDto {
    s.OutSubOrderIds = &v
    return s
}
func (s *AlibabaTclsAelophyRefundCsapplyrenderRefundCsApplyRenderDto) SetOrderFrom(v int64) *AlibabaTclsAelophyRefundCsapplyrenderRefundCsApplyRenderDto {
    s.OrderFrom = &v
    return s
}
